> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/use-cases-and-tutorials/dashdoc-wam/create-a-transport-for-a-waste-form.md).

# Create a Transport for a Waste Form

To create transport in the **Dashdoc TMS** for in a waste form using the Dashdoc Wam API, follow the steps below.

Ensure that the waste form meets the specified conditions before attempting to create the transport.

### Conditions for Creating Transport

1. **Organizer**: The company requesting the transport creation must be the organizer.
2. **Status**: The waste form must be in the signed status.
3. **Transport**: The waste form must not already have a transport linked to it.

### API Endpoint

**Endpoint**: `POST /wam/forms/{uid}/create-transport/`

**Path Parameters**:

* `uid` (required): Unique identifier of the waste form.

### Example Request

#### Request

```http
POST /wam/forms/123e4567-e89b-12d3-a456-426614174000/create-transport/
```

#### Response

**Status Code**: `200 Transport successfully created`

```json
{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "DAS-1",
  "status": "signed",
  "pdf": {
    "url": "http://example.com/pdf",
    "updated_date": "2022-01-01T00:00:00Z"
  },
  "discontinued_reason": null,
  "transport_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_id": 1,
  "processor_id": 2,
  "carrier_id": 3,
  "organizer_id": 4,
  "origin_id": 5,
  "instructions": "Handle with care",
  "transport_date": "2022-01-01T00:00:00Z",
  "carrier_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "organizer_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "producer_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_contact_uid": "123e4567-e89b-12d3-a456-426614174000",
  "processor_signatory_uid": "123e4567-e89b-12d3-a456-426614174000",
  "created": "2022-01-01T00:00:00Z",
  "updated": "2022-01-01T00:00:00Z"
}
```

The `transport_uid` is returned in the response, which uniquely identifies the created transport. This ID can be used for further operations related to the transport.

By following these steps, you can successfully create transport for a waste form using the Dashdoc Wam API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/dashdoc-wam/create-a-transport-for-a-waste-form.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
